defmodule Nulla.Models.MediaAttachment do
  use Ecto.Schema
  import Ecto.Changeset

  @primary_key {:id, :integer, autogenerate: false}
  schema "media_attachments" do
    field :file, :string
    field :mime_type, :string
    field :description, :string

    belongs_to :note, Nulla.Models.Note

    timestamps(type: :utc_datetime)
  end

  def changeset(media, attrs) do
    media
    |> cast(attrs, [:note_id, :file, :mime_type, :description])
    |> validate_required([:note_id, :file])
  end
end
