defmodule Nulla.Models.Session do
  use Ecto.Schema
  import Ecto.Changeset

  @primary_key {:id, :integer, autogenerate: false}
  schema "sessions" do
    field :token, :string
    field :user_agent, :string
    field :ip, :string

    belongs_to :user, Nulla.Models.User

    timestamps(type: :utc_datetime)
  end

  def changeset(session, attrs) do
    session
    |> cast(attrs, [:user_id, :token, :user_agent, :ip])
    |> validate_required([:user_id, :token])
    |> unique_constraint(:token)
  end
end
